#############################################################################################
#############################################################################################
##
## VERSIONS
##
#############################################################################################
#############################################################################################

VERSION_BIN 	     := version
EXECUTABLES = $(EXECUTABLES:-) $(VERSION_BIN)

RELEASEFILE := $(PROJECT_ROOT)release.json
PROJECTVERSION := $(shell cat $(RELEASEFILE) | jq -r .version)
PROJECTBUILDDATE := $(shell $(VERSION_BIN) date)


.PHONY: next-patch-version
## create next-patch-version
next-patch-version:
	$(QUIET) $(ECHO) "Creating next version"
	$(QUIET) $(VERSION_BIN) patch --path $(RELEASEFILE) --selector "version"
	$(QUIET) $(eval PROJECTVERSION := $(shell cat $(RELEASEFILE) | jq -r .version))
